package com.casic.missiles.annotation;

import java.lang.annotation.*;

/**
 * 字典字段注解,放在字段上边，用于字典字段的合法性校验，以及字典字段转名字
 */
@Target({ElementType.FIELD})
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface DictCodeField {

    /**
     * 校验错误信息
     * @return
     */
    String message();

    /**
     * cacheName
     */
    String cacheName();

    /**
     * 是否校验字典code，默认校验
     * @return
     */
    boolean needValid() default true;
}
